server {
        listen 443 ssl;
        server_name         local;
        ssl_certificate     /etc/nginx/cert.pem;
        ssl_certificate_key /etc/nginx/key.pem;
        ssl_protocols       TLSv1 TLSv1.1 TLSv1.2;
        ssl_ciphers         HIGH:!aNULL:!MD5;

        location / {
            proxy_pass https://host.docker.internal:3000;
        }
        location /api {  
            proxy_pass https://backend:1443/api;
        }
        location /OAuth2Login {
            proxy_pass https://backend:1443/OAuth2Login;
        }
        location /OAuth2Callback {
            proxy_pass https://backend:1443/OAuth2Callback;
        }
        location /Logout {
            proxy_pass https://backend:1443/Logout;
        }
        location /swagger {
            proxy_pass https://backend:1443/swagger;
        }
        location /imageNames {
            proxy_pass https://backend:1443/api/admin/imageNames;
        }
        location /assets {
            proxy_pass https://backend:1443/assets;
        }
}